import React, { FunctionComponent, ReactNode } from "react";
import { SectionTitle } from "../../../components/section-title";

type Props = { title: string; children: ReactNode };

export const ResumeList: FunctionComponent<Props> = ({ title, children }) => {
  return (
    <div className="resume-info">
      <SectionTitle>{title}</SectionTitle>
      <ul>{children}</ul>
    </div>
  );
};
